E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SaslServerBasicImp Class Reference

A private pimple-pattern implementation class used by GAuth::SaslServerBasic. More...

## Public Member Functions
| SaslServerBasicImp (const SaslServerSecrets &, bool)
std::string | mechanisms (const std::string &) const
bool | init (const std::string &mechanism)
std::string | mechanism () const
std::string | initialChallenge () const
std::string | apply (const std::string &response, bool &done)
bool | trusted (const GNet::Address &) const
bool | trustedCore (const std::string &, const GNet::Address &) const
bool | active () const
std::string | id () const
bool | authenticated () const

## Detailed Description

A private pimple-pattern implementation class used by GAuth::SaslServerBasic.

Definition at line 43 of file gsaslserverbasic.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslserverbasic.cpp